Bug 520324 - Drive eject button don't work
Drive eject button don't work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-30 12:50 EDT by Fabrício Godoy
Modified: 2010-03-18 08:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-17 07:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrício Godoy 2009-08-30 12:50:41 EDT
Description of problem:
I have two optical drives and when have any media inside the eject button no longer works neither.
But "eject /dev/sr0", right-click>eject and eject icon on nautilus works.

Version-Release number of selected component (if applicable):
udev-141-4.fc11.x86_64

How reproducible:
Put any CD in tray.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
2.6.29.6-217.2.16.fc11.x86_64
Comment 1 Harald Hoyer 2010-03-17 07:59:46 EDT
not a udev bug...

I guess, that your cdrom is automounted. To prevent the cdrom to be locked, while the cdrom is mounted do:

# echo 0 > /proc/sys/dev/cdrom/lock
or
# sysctl -w dev.cdrom.lock=0

to make it permanent
# echo 'dev.cdrom.lock=0' >> /etc/sysctl.conf
Comment 2 Fabrício Godoy 2010-03-18 08:05:28 EDT
I think that is a bug.
The default behaviour should be optical drive unlocked.

Note You need to log in before you can comment on or make changes to this bug.